com.unitech.lib.engine.types

## Enum HIDInterCharacterDelay

- java.lang.Object
- - java.lang.Enum<HIDInterCharacterDelay>
  - - com.unitech.lib.engine.types.HIDInterCharacterDelay

- All Implemented Interfaces:
    Serializable, Comparable<HIDInterCharacterDelay>

      public enum HIDInterCharacterDelay
      extends Enum<HIDInterCharacterDelay>

  The HIDInterCharacterDelay enum represents different types of inter-character delays for HID. Each inter-character delay is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of an inter-character delay, and to get an inter-character delay from its byte value. It also provides a method to get an array containing the names of the inter-character delays.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `delay100ms`
    `delay10ms`
    `delay1ms`
    `delay20ms`
    `delay50ms`
    `delay5ms`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HIDInterCharacterDelay` | `fromValue(int value)` Gets an inter-character delay from its byte value.
    `byte` | `getCode()` Gets the byte value of the inter-character delay.
    `static String[]` | `names()` Returns an array containing the names of the inter-character delay constants.
    `String` | `toString()` Returns the string message of the inter-character delay.
    `static HIDInterCharacterDelay` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HIDInterCharacterDelay[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### delay1ms

          public static final HIDInterCharacterDelay delay1ms

    - #### delay5ms

          public static final HIDInterCharacterDelay delay5ms

    - #### delay10ms

          public static final HIDInterCharacterDelay delay10ms

    - #### delay20ms

          public static final HIDInterCharacterDelay delay20ms

    - #### delay50ms

          public static final HIDInterCharacterDelay delay50ms

    - #### delay100ms

          public static final HIDInterCharacterDelay delay100ms

  - ### Method Detail

    - #### values

          public static HIDInterCharacterDelay[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HIDInterCharacterDelay c : HIDInterCharacterDelay.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HIDInterCharacterDelay valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the inter-character delay.
      Returns:
        The byte value of the inter-character delay.

    - #### toString

          public String toString()

      Returns the string message of the inter-character delay.
      Overrides:
        `toString` in class `Enum<HIDInterCharacterDelay>`
      Returns:
        The string message of the inter-character delay.

    - #### fromValue

          public static HIDInterCharacterDelay fromValue(int value)
                                                  throws IllegalArgumentException

      Gets an inter-character delay from its byte value.
      Parameters:
        `value` - The byte value of the inter-character delay.
      Returns:
        The inter-character delay associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any inter-character delay.

    - #### names

          public static String[] names()

      Returns an array containing the names of the inter-character delay constants.
      Returns:
        An array containing the names of the inter-character delay constants.